Manuel PHP
Précédent |  | Suivant

# DOMElement->removeAttributeNode()

DOMElement->removeAttributeNode() -- Efface un attribut

## Description

class DOMElement {
bool removeAttributeNode ( DOMAttr oldnode )
}

Efface l'attribut oldnode de l'élément.

## Liste de paramètres

oldnode

  Le noeud de l'attribut.

## Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès, `FALSE` en cas d'échec.

## Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Lancé si le noeud est en lecture seul.

`DOM_NOT_FOUND_ERROR`

  Lancé si oldnode n'est pas un attribut de l'élément.

## Voir aussi

DOMElement->hasAttribute()
DOMElement->getAttributeNode()
DOMElement->setAttributeNode()

Précédent | Sommaire | Suivant
DOMElement->removeAttribute() | Niveau supérieur | DOMElement->removeAttributeNS()